Skip to main content
`Ctrl`+`K`

# skbio.alignment.PairAlignPath.from_bits

classmethod PairAlignPath.from_bits(bits, starts=None)

  Create a pairwise alignment path from a bit array.

  Refer to `AlignPath.from_bits` for usage.

  Parameters:
    bits array_like of (0, 1) of shape (2, n_positions)

      Bit array representing the alignment.

    starts array_like of int of shape (2,), optional

      Start positions of sequences.

  Returns:
    PairAlignPath

      The pairwise alignment path created from the given bit array.

  See also

  `AlignPath.from_bits`